#include "CmdSendContinuous.h"
#include "CommandTerminal.h"

CmdSendContinuous::CmdSendContinuous(mDot* dot, mts::MTSSerial& serial)
:
  Command(dot, "Send Continuous", "AT+SENDC", "Send un-modulated data continuously"),
  _serial(serial) {
    _help = std::string(text()) + ": " + std::string(desc());
    _usage = "(string:242)";
}

uint32_t CmdSendContinuous::action(std::vector<std::string> args) {

    _dot->sendContinuous();
    return 0;
}

bool CmdSendContinuous::verify(std::vector<std::string> args) {

    return true;
}
